﻿using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Collections;

namespace WinProgramDemoSautinSoft
{
    class DemoDebug
    {
        //Save error data to file
        public string ToFile(Exception ex, string FName)
        {
            string ErrFile = "Error-"+FName+".log";
            if (File.Exists("Error-" + FName + ".log"))
                File.Delete("Error-" + FName + ".log");
		    StreamWriter sw = new StreamWriter(ErrFile);
            sw.Write(ex.Message);
            if (ex.Data != null)
            {
                sw.WriteLine("\r\nExtra details:");
                foreach (DictionaryEntry de in ex.Data)
                    sw.Write("\r\nThe key is '{0}' and the value is: {1}", de.Key, de.Value);
            }
            sw.Write("\r\n\r\n");
            sw.Write("\r\nMethod :\r\n'{0}'", ex.TargetSite);
            sw.Write("\r\n\r\n");
            sw.Write("\r\nSource :\r\n'{0}'", ex.Source);
            sw.Write("\r\n\r\n");
            sw.Write("\r\nStack :\r\n'{0}'", ex.StackTrace);
            sw.Write("\r\n\r\n");
            sw.Write("\r\nInnerException :\r\n'{0}'", ex.InnerException);
            if (ex.InnerException!=null&&ex.InnerException.Data != null)
            {
                sw.WriteLine("\r\nExtra details:");
                foreach (DictionaryEntry de in ex.InnerException.Data)
                    sw.Write("\r\nThe key is '{0}' and the value is: {1}", de.Key, de.Value);
            }
            sw.Close();
            return ErrFile;
        }

        //constructor
        public DemoDebug()
        { }
    }
}
